# openrqm
This is the OpenRQM API specification. [OpenRQM Docs - Github](https://github.com/openrqm/openrqm-docs) 

This Dart package is automatically generated by the [Swagger Codegen](https://github.com/swagger-api/swagger-codegen) project:

- API version: 1.0.0
- Build package: io.swagger.codegen.languages.DartClientCodegen

## Requirements

Dart 1.20.0 or later OR Flutter 0.0.20 or later

## Installation & Usage

### Github
If this Dart package is published to Github, please include the following in pubspec.yaml
```
name: openrqm
version: 1.0.0
description: OpenRQM API
dependencies:
  openrqm:
    git: https://github.com/GIT_USER_ID/GIT_REPO_ID.git
      version: 'any'
```

### Local
To use the package in your local drive, please include the following in pubspec.yaml
```
dependencies:
  openrqm:
    path: /path/to/openrqm
```

## Tests

TODO

## Getting Started

Please follow the [installation procedure](#installation--usage) and then run the following:

```dart
import 'package:openrqm/api.dart';


var api_instance = new DocumentApi();

try {
    var result = api_instance.getDocument();
    print(result);
} catch (e) {
    print("Exception when calling DocumentApi->getDocument: $e\n");
}

```

## Documentation for API Endpoints

All URIs are relative to *https://virtserver.swaggerhub.com/benjaminSchilling33/OpenRQM/1.0.0*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*DocumentApi* | [**getDocument**](docs//DocumentApi.md#getdocument) | **GET** /document | Get a document
*DocumentsApi* | [**getDocuments**](docs//DocumentsApi.md#getdocuments) | **GET** /documents | Get all documents
*ElementApi* | [**patchElement**](docs//ElementApi.md#patchelement) | **PATCH** /element | Update an element
*ElementApi* | [**postElement**](docs//ElementApi.md#postelement) | **POST** /element | Add an element
*ElementApi* | [**putElement**](docs//ElementApi.md#putelement) | **PUT** /element | Update an element
*ElementsApi* | [**getElements**](docs//ElementsApi.md#getelements) | **GET** /elements | Get all elements
*WorkspaceApi* | [**getWorkspace**](docs//WorkspaceApi.md#getworkspace) | **GET** /workspace | Get a workspace
*WorkspacesApi* | [**getWorkspaces**](docs//WorkspacesApi.md#getworkspaces) | **GET** /workspaces | Get all workspaces


## Documentation For Models

 - [RQMDocument](docs//RQMDocument.md)
 - [RQMDocuments](docs//RQMDocuments.md)
 - [RQMElement](docs//RQMElement.md)
 - [RQMElements](docs//RQMElements.md)
 - [RQMWorkspace](docs//RQMWorkspace.md)
 - [RQMWorkspaces](docs//RQMWorkspaces.md)


## Documentation For Authorization

 All endpoints do not require authorization.


## Author




