part of openrqm.api;



class ElementsApi {
  final ApiClient apiClient;

  ElementsApi([ApiClient apiClient]) : apiClient = apiClient ?? defaultApiClient;

  /// Get all elements
  ///
  /// 
  Future<RQMElements> getElements({ int documentid }) async {
    Object postBody = null;

    // verify required params are set

    // create path and map variables
    String path = "/elements".replaceAll("{format}","json");

    // query params
    List<QueryParam> queryParams = [];
    Map<String, String> headerParams = {};
    Map<String, String> formParams = {};
    if(documentid != null) {
      queryParams.addAll(_convertParametersForCollectionFormat("", "documentid", documentid));
    }
    
    List<String> contentTypes = [];

    String contentType = contentTypes.length > 0 ? contentTypes[0] : "application/json";
    List<String> authNames = [];

    if(contentType.startsWith("multipart/form-data")) {
      bool hasFields = false;
      MultipartRequest mp = new MultipartRequest(null, null);
      
      if(hasFields)
        postBody = mp;
    }
    else {
          }

    var response = await apiClient.invokeAPI(path,
                                             'GET',
                                             queryParams,
                                             postBody,
                                             headerParams,
                                             formParams,
                                             contentType,
                                             authNames);

    if(response.statusCode >= 400) {
      throw new ApiException(response.statusCode, response.body);
    } else if(response.body != null) {
      return 
          apiClient.deserialize(response.body, 'RQMElements') as RQMElements ;
    } else {
      return null;
    }
  }
}
